Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 595728 - sci-physics/lammps-20160407 : Vector.h:122:3: error: return-statement with no value, in function returning ‘ATC_matrix::DenseMatrix<T>’ [-fpermissive]
Summary: sci-physics/lammps-20160407 : Vector.h:122:3: error: return-statement with no...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Nicolas Bock
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-09-30 21:21 UTC by Toralf Förster
Modified: 2016-10-13 17:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-history.txt (emerge-history.txt,77.27 KB, text/plain)
2016-09-30 21:22 UTC, Toralf Förster
Details
environment (environment,135.32 KB, text/plain)
2016-09-30 21:22 UTC, Toralf Förster
Details
sci-physics:lammps-20160407:20160930-211924.log (sci-physics:lammps-20160407:20160930-211924.log,24.44 KB, text/plain)
2016-09-30 21:22 UTC, Toralf Förster
Details
lammps-20160407-gcc6.patch (lammps-20160407-gcc6.patch,396 bytes, patch)
2016-10-12 07:37 UTC, Peter Levine
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-09-30 21:21:56 UTC
                 from GhostManager.cpp:2:
Vector.h: In function ‘ATC_matrix::DenseMatrix<T> ATC_matrix::operator/(const ATC_matrix::Vector<T>&, T)’:
Vector.h:122:3: error: return-statement with no value, in function returning ‘ATC_matrix::DenseMatrix<T>’ [-fpermissive]
   return ;
   ^~~~~~
make: *** [Makefile.g++:40: GhostManager.o] Error 1


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-13.0-no-multilib-libressl-unstable_20160928-214201) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags ...

  ... in make.conf:
USE="  -openssl -gnutls libressl -openssl pax_kernel xtpax -cdinstall -oci8 -bindist ssp btrfs bugzilla -cairo clang cups custom-cflags dbus dvb gles2 gnuplot gstreamer -haptic havege hdf5 help imap ithreads javascript -logrotate minizip mod modplug mpi mssql ncurses networking offensive opus osc png -postgres python -sdl -snmp ssh ssp svg system-icu -system-jpeg threads tk traceroute udisks vala -vorbis wayland X x265 xcb -xz"

  ... in /etc/portage/package.use/*:
  mail-mta/ssmtp      ssl mta
  net-misc/wget       ssl
  app-crypt/pinentry  -qt4
  app-editors/emacs   -dbus -svg -ssl -gtk -gtk3
  app-text/xmlto      -latex
  dev-libs/boehm-gc   threads
  dev-libs/libpcre    pcre16
  dev-lang/python     threads
  dev-qt/qtgui        egl eglfs
  net-nds/openldap    -sasl
  dev-util/cmake      -qt4 -qt5
  dev-vcs/git         -perl
  media-libs/mesa     -vaapi
  sys-apps/kmod       tools
  <=net-misc/openssh-7.3_p1-r2    -hpn
  net-misc/iputils -caps -filecaps
  mail-mta/ssmtp libressl -gnutls

  entries in /etc/portage/package.unmask/*:
  media-video/ffmpeg
  sys-devel/gcc:6.2.0
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-4.9.3
 [2] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
3.8.1
Available Java Virtual Machines:
  [1]   icedtea-bin-7  system-vm
  [2]   icedtea-bin-8 
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   jython2.7 (fallback)

  -----------------------------------------------------------------

Portage 2.3.1 (python 3.4.5-final-0, default/linux/amd64/13.0/no-multilib, gcc-6.2.0, glibc-2.23-r2, 4.7.5-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.7.5-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285480 total,    478268 free
KiB Swap:   67108860 total,  67108228 free
Timestamp of repository gentoo: Fri, 30 Sep 2016 19:09:32 +0000
sh bash 4.4
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.4::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.6.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.26.1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/omega.conf /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl amd64 berkdb btrfs bugzilla bzip2 clang cli cracklib crypt cups custom-cflags cxx dbus dri dvb fortran gdbm gles2 gnuplot gstreamer havege hdf5 help iconv imap ipv6 ithreads javascript libressl minizip mmx mmxext mod modplug modules mpi mssql ncurses networking nls nptl offensive openmp opus osc pam pax_kernel pcre png python readline seccomp session sse sse2 ssh ssl ssp svg system-icu tcpd threads tk traceroute udisks unicode vala wayland x265 xattr xcb xtpax zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="libressl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="en-GB es-ES om ug" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-09-30 21:22:03 UTC
Created attachment 448616 [details]
emerge-history.txt
Comment 2 Toralf Förster gentoo-dev 2016-09-30 21:22:07 UTC
Created attachment 448618 [details]
environment
Comment 3 Toralf Förster gentoo-dev 2016-09-30 21:22:09 UTC
Created attachment 448620 [details]
sci-physics:lammps-20160407:20160930-211924.log
Comment 4 Peter Levine 2016-10-12 07:37:04 UTC
Created attachment 449964 [details, diff]
lammps-20160407-gcc6.patch
Comment 5 Nicolas Bock gentoo-dev 2016-10-13 12:31:57 UTC
I updated =sci-physics/lammps-20160407 with Peter's patch. Thanks Peter!

Toralf, I verified that the patch works. Could you rerun your tinderbox to make sure?
Comment 6 Toralf Förster gentoo-dev 2016-10-13 14:47:09 UTC
amd64-desktop-stable_20161008-161635/var/log/emerge.log
Wed Oct 12 22:38:13 2016 >>> sci-physics/lammps-20151207
lammps: Wed Oct 12 22:30:12 2016: 8 minutes, 1 second
lammps: 1 times

installes fine
Comment 7 Nicolas Bock gentoo-dev 2016-10-13 17:36:23 UTC
Thanks for testing!